ResourceBase (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class ResourceBase

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase

- All Implemented Interfaces:
    `java.io.Serializable`, `Injectable`
  Direct Known Subclasses:
    `ContextEjb`, `ContextEnvironment`, `ContextHandler`, `ContextLocalEjb`, `ContextResource`, `ContextResourceEnvRef`, `ContextResourceLink`, `ContextService`, `MessageDestination`, `MessageDestinationRef`

      public class ResourceBase
      extends java.lang.Object
      implements java.io.Serializable, Injectable

  Representation of an Context element
  Author:
    Peter Rossbach (pero@apache.org)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceBase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInjectionTarget​(java.lang.String injectionTargetName, java.lang.String jndiName)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` |
    `java.util.List<InjectionTarget>` | `getInjectionTargets()` |
    `java.lang.String` | `getLookupName()` |
    `java.lang.String` | `getName()` |
    `NamingResources` | `getNamingResources()` |
    `java.lang.Object` | `getProperty​(java.lang.String name)` |
    `java.lang.String` | `getType()` |
    `int` | `hashCode()` |
    `java.util.Iterator<java.lang.String>` | `listProperties()` | List properties.
    `void` | `removeProperty​(java.lang.String name)` | Remove a configured property.
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setLookupName​(java.lang.String lookupName)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setNamingResources​(NamingResources resources)` |
    `void` | `setProperty​(java.lang.String name, java.lang.Object value)` | Set a configured property.
    `void` | `setType​(java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBase

          public ResourceBase()

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Injectable`

    - #### setName

          public void setName​(java.lang.String name)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType​(java.lang.String type)

    - #### getLookupName

          public java.lang.String getLookupName()

    - #### setLookupName

          public void setLookupName​(java.lang.String lookupName)

    - #### getProperty

          public java.lang.Object getProperty​(java.lang.String name)

      Parameters:
        `name` - The property name
      Returns:
        a configured property.

    - #### setProperty

          public void setProperty​(java.lang.String name,
                                  java.lang.Object value)

      Set a configured property.
      Parameters:
        `name` - The property name
        `value` - The property value

    - #### removeProperty

          public void removeProperty​(java.lang.String name)

      Remove a configured property.
      Parameters:
        `name` - The property name

    - #### listProperties

          public java.util.Iterator<java.lang.String> listProperties()

      List properties.
      Returns:
        the property names iterator

    - #### addInjectionTarget

          public void addInjectionTarget​(java.lang.String injectionTargetName,
                                         java.lang.String jndiName)

      Specified by:
        `addInjectionTarget` in interface `Injectable`

    - #### getInjectionTargets

          public java.util.List<InjectionTarget> getInjectionTargets()

      Specified by:
        `getInjectionTargets` in interface `Injectable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getNamingResources

          public NamingResources getNamingResources()

    - #### setNamingResources

          public void setNamingResources​(NamingResources resources)